pvsdisp
Prev | Orchestra Opcodes and Operators | Next

## pvsdisp

pvsdisp — Displays a PVS signal as an amplitude vs. freq graph.

## Description

This opcode will display a PVS signal fsig. Uses X11 or FLTK windows if enabled, else (or if -g flag is set) displays are approximated in ASCII characters.

## Syntax

    pvsdisp fsig[, ibins, iwtflg]

## Initialization

iprd -- the period of pvsdisp in seconds.

ibins (optional, default=all bins) -- optionally, display only ibins bins.

iwtflg (optional, default=0) -- wait flag. If non-zero, each pvsdisp is held until released by the user. The default value is 0 (no wait).

## Performance

pvsdisp -- displays the PVS signal frame-by-frame.

## Examples

Here is an example of the pvsdisp opcode. It uses the file pvsdisp.csd. This example uses realtime input, but you can also use it for soundfile input.

Example 358. Example of the pvsdisp opcode

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o pvsdisp.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    instr 1
    asig inch 1
    ;a1   soundin "input.wav"  ;select a soundifle
    fsig pvsanal asig, 1024,256, 1024, 1
    pvsdisp fsig

    endin

    </CsInstruments>
    <CsScore>

    i 1 0 30
    e

    </CsScore>
    </CsoundSynthesizer>

## See Also

dispfft, print

## Credits

Author: V Lazzarini, 2006

Prev | Up | Next
pvsbin | Home | pvspitch